/* Copyright (c) 2001-2009 by SoftIntegration, Inc. All Rights Reserved */
/* a sample program that changes the first number's
sign to the second number's */
#include <stdio.h>
#include <math.h>
#include <float.h>

int main() {
    double x,y,z;

    x = -1.563;
    y = 3.7664;
    z = copysign(x,y);
    printf("befor copysign x = %f,  y = %f \n",x,y);
    printf("after copysign z = %f,  y = %f \n",z,y);
}
